libimengines (4.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Mohammad Anwari <mdamt@maemo.org>  Sun, 15 Apr 2007 18:46:57 +0300

libimengines (4.0.0-2) unstable; urgency=low

  * Updated compatibility with transitional packages. 

 -- Mohammad Anwari <mdamt@sudirman>  Wed, 21 Feb 2007 12:09:04 +0200

libimengines (4.0.0-1) unstable; urgency=low

  * Cursive basic HWR patch applied from branch.

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri, 17 Nov 2006 15:28:09 +0200

libimengines (3.0.8-1) unstable; urgency=low

  * Fixes: NB#45576 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Sun, 29 Oct 2006 21:55:54 +0200

libimengines (3.0.7-4) unstable; urgency=low

  * Updated debian/rules to install the override files. Overrides some lintian
    checks which were only a false alarm. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 24 Oct 2006 11:41:28 +0300

libimengines (3.0.7-3) unstable; urgency=low

  * Updated debian/rules to use -a in dh_makeshlibs 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri, 20 Oct 2006 15:50:42 +0300

libimengines (3.0.7-2) unstable; urgency=low

  * Updated dependency 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri, 20 Oct 2006 14:48:16 +0300

libimengines (3.0.7-1) unstable; urgency=low

  * Fixes: NB#42467 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri, 20 Oct 2006 11:41:23 +0300

libimengines (3.0.6-1) unstable; urgency=low

  * Fixes: NB#42467 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 18 Oct 2006 13:34:07 +0300

libimengines (3.0.5-3) unstable; urgency=low

  * Put hwr and wp in separate packages to make it easier for SDK.  

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 22 Aug 2006 15:17:12 +0300

libimengines (3.0.5-2) unstable; urgency=low

  * Fixes NB#33609, NB#33611

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 27 Jun 2006 14:55:33 +0300

libimengines (3.0.5-1) unstable; urgency=low

  * Updated API

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 27 Jun 2006 14:55:31 +0300

libimengines (3.0.4-1) unstable; urgency=low

  * Bugfixes: N#29990 and N#29994. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon,  5 Jun 2006 15:33:33 +0300

libimengines (3.0.3-1) unstable; urgency=low

  * Bugfixes: N#30629 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed, 24 May 2006 13:17:45 +0300

libimengines (3.0.2-1) unstable; urgency=low

  * Bugfixes: N#29351, N#29352

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 11 May 2006 14:52:24 +0300

libimengines (3.0.1-1) unstable; urgency=low

  * Updated package 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue,  2 May 2006 16:38:03 +0300

libimengines (3.0.0-1) unstable; urgency=low

  * Version 3.0.0

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri, 21 Apr 2006 12:16:23 +0300

libimengines (1.5.7-2) unstable; urgency=low

  * Updated package. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon, 10 Apr 2006 22:05:05 +0300

libimengines (1.5.7-1) unstable; urgency=low

  * Bugfixes: N#24223 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon, 10 Apr 2006 21:02:27 +0300

libimengines (1.5.6-4) UNRELEASED; urgency=low

  * NOT RELEASED YET

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri,  7 Apr 2006 17:01:03 +0300

libimengines (1.5.6-3) unstable; urgency=low

  * Updated Build dependency 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Fri,  7 Apr 2006 16:59:49 +0300

libimengines (1.5.6-2) unstable; urgency=low

  * Put back hanwang and chinese 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Wed,  5 Apr 2006 13:05:41 +0300

libimengines (1.5.6-1) UNRELEASED; urgency=low

  * Maemo-SDK friendly 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue,  4 Apr 2006 15:52:12 +0300

libimengines (1.5.5-5) unstable; urgency=low

  * Added XB-Confidential 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon, 27 Mar 2006 16:58:20 +0300

libimengines (1.5.5-4) unstable; urgency=low

  * Bringback ezitext

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 23 Mar 2006 12:15:37 +0200

libimengines (1.5.5-3) unstable; urgency=low

  * Removed chinese package for a while. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 16 Mar 2006 16:21:27 +0200

libimengines (1.5.5-2) unstable; urgency=low

  * Updated packages (without ezitext and hanwang). 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 16 Mar 2006 12:10:11 +0200

libimengines (1.5.5-1) unstable; urgency=low

  * Updated packages. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 14 Mar 2006 15:19:28 +0200

libimengines (1.5.4-1) unstable; urgency=low

  * Added proper cleanup when an IM plugin is destroyed. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu,  9 Mar 2006 11:53:56 +0200

libimengines (1.5.3-3) unstable; urgency=low

  * Moved ezitext chinese dependencies to libimengines-chinese0 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue,  7 Mar 2006 10:55:37 +0200

libimengines (1.5.3-2) unstable; urgency=low

  * Added debug package 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu, 23 Feb 2006 14:51:34 +0200

libimengines (1.5.3-1) unstable; urgency=low

  * Separate chinese and western packages by Richard Sun (2006-02-20) 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Mon, 20 Feb 2006 14:53:18 +0200

libimengines (1.5.2-1) unstable; urgency=low

  * Updated package with new API about IM_Locales <-> char conversions.

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Thu,  2 Feb 2006 10:52:44 +0200

libimengines (1.5.1-2) unstable; urgency=low

  * Updated build-depends. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 31 Jan 2006 14:15:11 +0200

libimengines (1.5.1-1) unstable; urgency=low

  * New functionalities. 

 -- Mohammad Anwari <Mohammad.Anwari@nokia.com>  Tue, 24 Jan 2006 11:16:48 +0200

libimengines (1.5.0-1) unstable; urgency=low

  * New branch., new ABI and API

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Wed, 19 Oct 2005 13:53:06 +0300

libimengines (1.4.2-1) unstable; urgency=low

  * Bugfixes

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Mon,  3 Oct 2005 12:59:41 +0300

libimengines (1.4.1-1) unstable; urgency=low

  * Bugfixes

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Wed, 31 Aug 2005 15:48:54 +0300

libimengines (1.4.0-1) unstable; urgency=low

  * Added features

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Thu, 25 Aug 2005 11:15:33 +0300

libimengines (1.3.2-1) unstable; urgency=low

  * Fixes

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Tue, 23 Aug 2005 16:36:08 +0300

libimengines (1.3.1-2) unstable; urgency=low

  * Version fixes

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Tue, 23 Aug 2005 15:29:57 +0300

libimengines (1.3.1-1) unstable; urgency=low

  * Fixes #15236 (adding words that contain trailing punctuation)

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Thu,  7 Jul 2005 13:44:08 +0300

libimengines (1.3.0-1) unstable; urgency=low

  * bigger changes to the make system and interfaces

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Thu, 30 Jun 2005 16:40:44 +0300

libimengines (1.2.7-1) unstable; urgency=low

  * Fixing the es_MX, fr_CA and pt_BR (generic fallbacks)

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Thu, 30 Jun 2005 16:40:40 +0300

libimengines (1.2.6-4) unstable; urgency=low

  * Fixes #14067 - addind a hardcoded limit for max dictionary size

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Thu,  9 Jun 2005 13:53:28 +0300

libimengines (1.2.6-3) unstable; urgency=low

  * Yet another dependency fix for the -dev package

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Tue, 31 May 2005 16:24:20 +0300

libimengines (1.2.6-2) unstable; urgency=low

  * Adding explicit dependencies for ezitext 

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Tue, 31 May 2005 12:57:03 +0300

libimengines (1.2.6-1) unstable; urgency=low

  * Added recovery on corrupt personal and used words dictionaries

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Fri, 27 May 2005 15:56:14 +0300

libimengines (1.2.5-2) unstable; urgency=low

  * Adding missing "missing" and "config.guess"

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Fri, 27 May 2005 15:33:01 +0300

libimengines (1.2.5-1) unstable; urgency=low

  * Adding some comments.

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Thu, 26 May 2005 16:38:05 +0300

libimengines (1.2.4-1) unstable; urgency=low

  * Fixing some messages and prototypes, new Debian version

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Tue, 24 May 2005 10:15:18 +0300

libimengines (1.2.3-1) unstable; urgency=low

  * Removed extra languages (cs_CZ, hu_HU, pl_PT, id_IN, tr_TR)

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Wed, 18 May 2005 10:40:39 +0300

libimengines (1.2.2-1) unstable; urgency=low

  * Implemented the EzitextWordExistInDictionary. 

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Tue, 17 May 2005 14:40:19 +0300

libimengines (1.2.1-1) unstable; urgency=low

  * Simplifying the API a little bit to remove unnecessary dynamic 
    allocations for each candidate fetch

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Mon, 16 May 2005 17:27:29 +0300

libimengines (1.2-1) unstable; urgency=low

  * Slight changes in API

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Fri, 13 May 2005 12:24:35 +0300

libimengines (1.1-1) unstable; urgency=low

  * Changed the API to include training, language and character classes

 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Fri,  6 May 2005 15:37:11 +0300

libimengines (1.0-1) unstable; urgency=high
                                                                                     
  * initial release of the library
                                                                                     
 -- Jakub Pavelek <Jakub.Pavelek@nokia.com>  Tue, 19 Apr 2005 12:46:44 +0300

